ContactsGet ContactRetrieves a single contact by id.GET/v1/contacts/{id}SendHeadersPathAuthorizationAuthorizationRequiredBearer <token>API key as Bearer tokenIn: headerPath ParametersidRequiredstringContact id, discoverable via list_contactsGET/v1/contacts/{id}cURLGoNode.jsPythonPHPRubyJavaC#curl -X GET "https://api.3common.com/v1/contacts/string" \ -H "Authorization: Bearer <token>"Default Response200401403404Response{ "data": { "id": "string", "firstName": "string", "lastName": "string", "fullName": "string", "email": "string", "phone": "string", "vendorId": "string", "orderSum": 0, "grossSum": 0, "firstOrder": 0, "lastOrder": 0, "createdAt": "2019-08-24T14:15:22Z", "status": "unsubscribed", "eventsAttended_IDS": [ "string" ], "itemsPurchased_IDS": [ "string" ], "productsPurchased_IDS": [ "string" ], "property1": null, "property2": null } }TypeScriptexport interface Response { data: { id: string; firstName: string; lastName: string; fullName: string; email: string; phone?: string; vendorId: string; orderSum: number; grossSum: number; /** * First order, ms since epoch */ firstOrder?: number; /** * Most recent order, ms since epoch */ lastOrder?: number; createdAt?: string; /** * Subset of statuses surfaced on the compact contact projection. */ status: "unsubscribed" | "opted-in" | "unknown"; eventsAttended_IDS: string[]; itemsPurchased_IDS: string[]; productsPurchased_IDS: string[]; [k: string]: unknown; }; } Bulk Upsert ContactsUpserts up to many contacts in one round-trip. Deduplicated server-side by email.Update ContactUpdates a contact. Optionally merges another contact into the target when `mergeWith` is set.